<?xml version="1.0" encoding="utf-8"?>
<Container version="2">
  <Name>wireguard-transmission</Name>
  <Repository>registry.gitlab.com/joshuajcoronado/wireguard-transmission</Repository>
  <Registry>https://gitlab.com/joshuajcoronado/wireguard-transmission/container_registry</Registry>
  <Network>bridge</Network>
  <Privileged>false</Privileged>
  <Support></Support>
  <Project>http://www.transmissionbt.com/</Project>
  <Overview>Transmission is designed for easy, powerful use. Transmission has the features you want from a BitTorrent client: encryption, a web interface, peer exchange, magnet links, DHT, &#xB5;TP, UPnP and NAT-PMP port forwarding, webseed support, watch directories, tracker editing, global and per-torrent speed limits, and more.[br]&#xD;
  [br][br][b][u][span style='color: #E80000;']Configuration[/span][/u][/b][br]&#xD;
  [b]/config[/b] : Storing all transmission config files [br]&#xD;
  [b]/downloads[/b] : Point to Downloads location[br]&#xD;
  [b]/watch[/b] : Point to watch folder[br]&#xD;
  </Overview>
  <Category>Downloaders:</Category>
  <WebUI>http://[IP]:[PORT:9091]/</WebUI>
  <TemplateURL>https://gitlab.com/joshuajcoronado/docker-templates/-/blob/master/coronado.io/wireguard-transmission.xml</TemplateURL>
  <Icon>https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/transmission-icon.png</Icon>
  <ExtraParams>--cap-add=NET_ADMIN --cap-add=SYS_MODULE --sysctl="net.ipv4.conf.all.src_valid_mark=1"</ExtraParams>
  <Description>Transmission is designed for easy, powerful use. Transmission has the features you want from a BitTorrent client: encryption, a web interface, peer exchange, magnet links, DHT, &#xB5;TP, UPnP and NAT-PMP port forwarding, webseed support, watch directories, tracker editing, global and per-torrent speed limits, and more.[br]&#xD;
  [br][br][b][u][span style='color: #E80000;']Configuration[/span][/u][/b][br]&#xD;
  [b]/config[/b] : Storing all transmission config files [br]&#xD;
  [b]/downloads[/b] : Point to Downloads location[br]&#xD;
  [b]/watch[/b] : Point to watch folder[br]&#xD;
  </Description>
  <Networking>
    <Mode>bridge</Mode>
    <Publish>
      <Port>
        <HostPort>9091</HostPort>
        <ContainerPort>9091</ContainerPort>
        <Protocol>tcp</Protocol>
      </Port>
      <Port>
        <HostPort>51413</HostPort>
        <ContainerPort>51413</ContainerPort>
        <Protocol>tcp</Protocol>
      </Port>
      <Port>
        <HostPort>51820</HostPort>
        <ContainerPort>51820</ContainerPort>
        <Protocol>tcp</Protocol>
      </Port>
    </Publish>
  </Networking>
  <Data>
    <Volume>
      <HostDir>/lib/modules</HostDir>
      <ContainerDir>/lib/modules</ContainerDir>
      <Mode>rw</Mode>
    </Volume>
    <Volume>
      <HostDir></HostDir>
      <ContainerDir>/config</ContainerDir>
      <Mode>rw</Mode>
    </Volume>
    <Volume>
      <HostDir></HostDir>
      <ContainerDir>/downloads</ContainerDir>
      <Mode>rw</Mode>
    </Volume>
    <Volume>
      <HostDir></HostDir>
      <ContainerDir>/watch</ContainerDir>
      <Mode>rw</Mode>
    </Volume>
  </Data>
  <Environment>
    <Variable>
      <Value>99</Value>
      <Name>PUID</Name>
      <Mode/>
    </Variable>
    <Variable>
      <Value>100</Value>
      <Name>PGID</Name>
      <Mode/>
    </Variable>
  </Environment>
</Container>